Bug 61299 - static linked to flawed zib (possible security problem)
Summary: static linked to flawed zib (possible security problem)
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sash   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 61410 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-16 17:13 UTC by tgke
Modified: 2007-04-18 16:40 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-19 12:17:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tgke 2002-03-16 17:13:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020310

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
find-zlib script detects the zlib dependancy

output:

twisted:/sbin$ find-zlib sash
sash: inflate version: "1.1.3 Copyright 1995-1998 Mark Adler"
sash: zlib cplens table, little endian
sash: zlib cplext table (version 1.0.5 to 1.1.4)


http://www.gzip.org/zlib/advisory-2002-03-11.txt
http://www.gzip.org/zlib/find-zlib



Additional info:

Comment 1 Bernhard Rosenkraenzer 2002-03-19 12:16:59 UTC
*** Bug 61410 has been marked as a duplicate of this bug. ***

Comment 2 Bernhard Rosenkraenzer 2002-03-19 13:20:09 UTC
This is not exploitable, therefore it's not a problem. 
 
sash is neither setuid nor networking, so all you get by "exploiting" it is a crashing 
application, giving you access to your own privileges. 



Note You need to log in before you can comment on or make changes to this bug.